module.exports = {
  create: {
    requestBody: ['freight', 'name', 'set', 'shop', 'goods', 'spec', 'is_use', 'sell_money', 'single_stock', 'stock'],
  },
  destroy: {
    params: ['!id'],
    service: 'delete',
  },
  update: {
    params: ['!id'],
    requestBody: ['freight', 'name', 'set', 'shop', 'goods', 'spec', 'is_use', 'sell_money', 'single_stock', 'stock'],
  },
  show: {
    parameters: {
      params: ['!id'],
    },
    service: 'fetch',
  },
  index: {
    parameters: {
      query: {
        'meta.createdAt@start': 'meta.createdAt@start',
        'meta.createdAt@end': 'meta.createdAt@end',
        name: '%name%',
        shop: 'shop',
        goods: 'goods',
        spec: 'spec',
        is_use: 'is_use',
        single_stock: 'single_stock',
      },
      // options: {
      //   "meta.state": 0 // 默认条件
      // },
    },
    service: 'query',
    options: {
      query: ['skip', 'limit'],
      sort: ['meta.createdAt'],
      desc: true,
      count: true,
    },
  },
};
